Loading...
Searching...
No Matches
pappso::IsotopeCount Struct Reference

`#include <chemicalformula.h>`

## Public Member Functions

const QString | toString () const

## Public Attributes

Enums::Isotope | isotope
std::int16_t | count

## Detailed Description

Definition at line 36 of file chemicalformula.h.

## Member Function Documentation

## toString()

const QString pappso::IsotopeCount::toString | ( |  | ) | const

Definition at line 36 of file chemicalformula.cpp.

{
QString atom;
switch(isotope)
{
case Enums::Isotope::C:
atom = "C";
break;
case Enums::Isotope::C13:
atom = "(13)C";
break;
case Enums::Isotope::H:
atom = "H";
break;
case Enums::Isotope::H2:
atom = "(2)H";
break;
case Enums::Isotope::N:
atom = "N";
break;
case Enums::Isotope::N15:
atom = "(15)N";
break;
case Enums::Isotope::O:
atom = "O";
break;
case Enums::Isotope::O17:
atom = "(17)O";
break;
case Enums::Isotope::O18:
atom = "(18)O";
break;
case Enums::Isotope::P:
atom = "P";
break;
case Enums::Isotope::S:
atom = "S";
break;
case Enums::Isotope::S33:
atom = "(33)S";
break;
case Enums::Isotope::S34:
atom = "(34)S";
break;
case Enums::Isotope::S36:
atom = "(36)S";
break;
}
return QString("%1 %2").arg(atom).arg(count);
}
pappso::Enums::Isotope::C
@ C
Definition types.h:127
pappso::Enums::Isotope::S36
@ S36
Definition types.h:139
pappso::Enums::Isotope::P
@ P
Definition types.h:140
pappso::Enums::Isotope::C13
@ C13
Definition types.h:128
pappso::Enums::Isotope::S
@ S
Definition types.h:136
pappso::Enums::Isotope::N15
@ N15
Definition types.h:135
pappso::Enums::Isotope::S33
@ S33
Definition types.h:137
pappso::Enums::Isotope::O18
@ O18
Definition types.h:133
pappso::Enums::Isotope::N
@ N
Definition types.h:134
pappso::Enums::Isotope::O17
@ O17
Definition types.h:132
pappso::Enums::Isotope::H
@ H
Definition types.h:129
pappso::Enums::Isotope::S34
@ S34
Definition types.h:138
pappso::Enums::Isotope::H2
@ H2
Definition types.h:130
pappso::Enums::Isotope::O
@ O
Definition types.h:131
pappso::IsotopeCount::count
std::int16_t count
Definition chemicalformula.h:40
pappso::IsotopeCount::isotope
Enums::Isotope isotope
Definition chemicalformula.h:39

References pappso::Enums::C, pappso::Enums::C13, count, pappso::Enums::H, pappso::Enums::H2, isotope, pappso::Enums::N, pappso::Enums::N15, pappso::Enums::O, pappso::Enums::O17, pappso::Enums::O18, pappso::Enums::P, pappso::Enums::S, pappso::Enums::S33, pappso::Enums::S34, and pappso::Enums::S36.

## Member Data Documentation

## count

std::int16_t pappso::IsotopeCount::count

Definition at line 40 of file chemicalformula.h.

Referenced by pappso::ChemicalFormula::addIsotopeCount(), pappso::ChemicalFormula::setFullIsotope(), pappso::ChemicalFormula::simplify(), and toString().

## isotope

Enums::Isotope pappso::IsotopeCount::isotope

Definition at line 39 of file chemicalformula.h.

Referenced by pappso::ChemicalFormula::addIsotopeCount(), pappso::ChemicalFormula::simplify(), and toString().

The documentation for this struct was generated from the following files:

- pappsomspp/core/amino_acid/chemicalformula.h
- pappsomspp/core/amino_acid/chemicalformula.cpp